Bug 106095 - Display Tab shows local machine's desktop not remote machine's
Display Tab shows local machine's desktop not remote machine's
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-02 14:20 EDT by Brian Murray
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-06 23:01:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Murray 2003-10-02 14:20:22 EDT
Description of problem:

After connecting to a remote machine, running Red Hat Linux 9, via ssh and 
setting X11 to display on the local machine and running redhat-config-xfree86 
the desktop preview in the display tab reflects the local machine not the 
remote.

Version-Release number of selected component (if applicable):
redhat-config-xfree86-0.7.3-2

How reproducible:
Always.

Steps to Reproduce:
1. On your local machine execute xhost +remote.  (Where remote is the IP 
address or host name of the machine you will be connecting to.)
2. Make an ssh connection to the remote machine.  [ssh remote]
3. Set your display variable to the local machine.  [export 
DISPLAY=localhost:0] (Where local host is the system you originally logged into.
4. Observe the preview screen of the desktop in the display tab and you will 
notice that it is the desktop of the local system not the remote system's 
desktop.  However, the video card and monitor information are for the remote 
system.

Actual results:
You see the local system's desktop.

Expected results:
I would expect to see a preview of the remote system's desktop or nothing at 
all.

Additional info:
Comment 1 Mike A. Harris 2003-10-02 20:19:42 EDT
>After connecting to a remote machine, running Red Hat Linux 9, via ssh and 
>setting X11 to display on the local machine

Out of the box, with zero configuration, ssh'ing to a remote host, and running
an X11 application should work, because X11 forwarding is enabled by default.
This is not really relevant to the bug report, but I thought you might find
that useful.

>1. On your local machine execute xhost +remote.  (Where remote is the IP 
>address or host name of the machine you will be connecting to.)

This is both a security hole, and totally unnecessary.  Using X11 apps remotely
via ssh works out of the box as indicated above with no end user configuration.
Just open an xterm, ssh to the remote host, and run the X application without
using xhost or xauth.  Assuming the remote host does not disable X11 forwarding,
it will "just work".

>4. Observe the preview screen of the desktop in the display tab and you will 
>notice that it is the desktop of the local system not the remote system's 
>desktop.

Precicely, and that is what would be expected, since it will see your LOCAL
display, and that's what it will use.

>However, the video card and monitor information are for the remote 
>system.

Because it is probing the hardware connected to the system it is running on,
which means it is going to see the remote video hardware.

redhat-config-xfree86 is not intended to be used over a network to my
knowledge, and if it is ran over a network, you will almost definitely
encounter all kinds of unforseen problems.

I'll leave this open for Brent to comment on and/or close as NOTABUG or
whatever.
Comment 2 Brent Fox 2003-10-06 23:01:28 EDT
redhat-config-xfree86 should work ok over a network for creating a config file
for the remote machine, but as Mike said the xhost stuff is unnecessary and
potentially dangerous.  

As for the preview screen, I would expect it to grab that preview screen from
the local machine.  Surely the user wouldn't expect the program to grab the
screen of the remote machine...it's possible that X isn't running on the remote
machine therefore there would be nothing to grab.  It's also possible that
another user is logged in on the remote machine and grabbing a preview of his
desktop would be very strange from a security point of view.

Closing as 'notabug'.

Note You need to log in before you can comment on or make changes to this bug.